人力検索はてな
モバイル版を表示しています。PC版はこちら
i-mobile

CentOS5にどうしてもMySQL4.0系をインストールしたいのですが、
ソースからコンパイルしようとしてもconfig.logに以下のように出て
configureできません。何か良い方法はないでしょうか?
---------------------------------------------------------
This file contains any messages produced by compilers while
running configure, to aid debugging if configure makes a mistake.

It was created by configure, which was
generated by GNU Autoconf 2.59. Invocation command line was

$ ./configure・・・

●質問者: ketaojp
●カテゴリ:コンピュータ インターネット
✍キーワード:0系 AID Command config GNU
○ 状態 :終了
└ 回答数 : 1/1件

▽最新の回答へ

1 ● catstail
●60ポイント

基本的にMySQLはバイナリインストールが楽でいいと思います。

が、公式サイトを見たところ、4.x系は4.1しか残っていないですね。。。

MySQL :: MySQL 4.1 Downloads

http://dev.mysql.com/downloads/mysql/4.1.html#linux-icc

(普通の32bitCPUマシンなら、Linux (x86), Standard, 4.1.22 を使用)

もし、4.0が必須、ソースコンパイルが必須なら、ログの続きを見れば何かわかるかもしれません。

(上記のログでは、configureオプションやMakefileに何らかの変更が必要、としかわかりません)

◎質問者からの返答

その後、いろいろ調べて

# yum install gcc

# yum install gcc-c++

# yum install libz-devel

# yum install mysql-devel

を実行し、少しは先に進むようになりましたが、

今度は ./configureで

------------------------------

checking for termcap functions library... configure: error: No curses/termcap library found

------------------------------

と出て止まるようになってしまいました。

curses/termcapとはどこで入手できるのでしょうか?

関連質問


●質問をもっと探す●



0.人力検索はてなトップ
8.このページを友達に紹介
9.このページの先頭へ
対応機種一覧
お問い合わせ
ヘルプ/お知らせ
ログイン
無料ユーザー登録
はてなトップ